<script>
import Vue from 'vue';
import { SlpContainer, SlpColumn } from '../common/index.vue';

export default Vue.extend({
  name: 'GetInTouch',
  components: {
    SlpContainer,
    SlpColumn,
  },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
  mounted() {
    window.MktoForms2.setOptions({
      formXDPath: '/rs/194-VVC-221/images/marketo-xdframe-relative.html',
    });
    window.MktoForms2.loadForm(
      '//page.gitlab.com',
      '194-VVC-221',
      3119,
      // eslint-disable-next-line func-names
      function (form) {
        // eslint-disable-next-line func-names
        form.onSuccess(function () {
          // eslint-disable-next-line no-undef
          dataLayer.push({
            event: 'mktoLead',
            mktoFormId: form.getId(),
            eventCallback() {
              form.getFormElem().hide();
              document.getElementById('confirmform').style.display = 'block';
            },
            eventTimeout: 3000,
          });
          return false;
        });
        function getgacid() {
          try {
            const tracker = ga.getAll()[0]; // eslint-disable-line no-undef
            return tracker.get('clientId');
          } catch (e) {
            return 'n/a';
          }
        }
        form.vals({
          gacid: getgacid(),
        });
      },
    );
  },
});
</script>

<template>
  <div class="grayBackground">
    <script src="//page.gitlab.com/js/forms2/js/forms2.min.js"></script>

    <SlpContainer>
      <SlpRow>
        <SlpColumn class="getInTouch__left" :cols="6">
          <img
            class="gitops-topic-bg"
            src="/nuxt-images/backgrounds/gitops-header-bg-3.svg"
            alt=""
          />
          <h2>{{ data.header }}</h2>
          <h3>
            {{ data.subtitle }}
          </h3>
          <p>
            {{ data.content }}
          </p>
        </SlpColumn>
        <SlpColumn class="getInTouch__right" :cols="6">
          <div class="form-container">
            <p class="asterisk">All fields required</p>
            <form id="mktoForm_3119"></form>
            <div id="confirmform" style="display: none">
              <h3>Submission received!</h3>
              <p>Thank you for connecting with us</p>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.grayBackground {
  background-color: #f8f8f8;
}

.getInTouch__left {
  padding: $spacing-32;
  @media (min-width: $breakpoint-lg) {
    padding-top: 128px;
    padding-bottom: 128px;
  }
  h2 {
    margin: $spacing-64 0 $spacing-16 0;
  }

  h3 {
    font-size: 23px;
    font-weight: 400;
    line-height: 1.25;
    max-width: 750px;
    margin-bottom: $spacing-16;
  }

  p {
    font-size: 16px;
    margin-bottom: $spacing-16;
  }

  .gitops-topic-bg {
    position: absolute;
    left: -5%;
  }
}

.getInTouch__right {
  padding: $spacing-32;

  @media (min-width: $breakpoint-lg) {
    padding-top: 128px;
    padding-bottom: 128px;
  }

  .form-container {
    z-index: 1;
    position: relative;
    padding: $spacing-64;
    background: #ffffff;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;

    .asterisk {
      font-style: italic;
    }
  }

  .form {
    text-align: left;
  }

  #confirmform {
    padding-top: 20px;
  }
}
</style>
<style lang="scss">
.footer {
  margin-top: 0;
}

#mktoForm_3119 {
  width: 100% !important;

  .mktoFieldDescriptor .mktoFieldWrap input.mktoInvalid {
    border: 1px solid #f24f63;
  }

  .mktoFormRow {
    width: 100%;
    input {
      width: 100% !important;
    }
  }
  .mktoHasWidth {
    width: 100% !important;
    margin-bottom: 16px;
  }
  .mktoFieldWrap,
  .mktoFormCol,
  #commentCapture {
    width: 100% !important;
    margin-bottom: 0px !important;
  }

  .mktoForm .mktoRequiredField label.mktoLabel {
    text-transform: none !important;
  }

  .mktoFieldWrap input:not([type='checkbox']),
  .mktoFieldWrap input:not([type='hidden']),
  .mktoFieldWrap select {
    width: 100% !important;
    border: 1px solid #333333;
    border-radius: 4px;
    padding: 12px 16px;
    margin-bottom: 5px;
  }

  .mktoFieldWrap label {
    float: left;
    margin-bottom: 4px;
  }

  .mktoAsterix {
    display: none;
  }

  .mktoButtonRow {
    width: 100% !important;

    .mktoButtonWrap {
      margin-left: 0px !important;
      width: 100% !important;

      button {
        width: 100% !important;
        background-color: #fa7035;
        color: #ffffff;
        box-shadow: 0px 4px 4px #00000040;
        display: inline-block;
        padding: 4px 30px;
        font-size: 16px;
        line-height: 40px;
        min-width: 140px;
        min-height: 52px;
        border: 0;
        border-radius: 4px;
        margin-bottom: 20px;
      }
    }
  }

  a:not(.btn):not(.slp-btn),
  a:not(.btn):not(.slp-btn):active,
  a:not(.btn):not(.slp-btn):hover,
  a:not(.btn):not(.slp-btn):focus {
    color: #7d2bd9;
  }
}
</style>
